onEvent('recipes', e => {

  e.remove({ output: 'draconicevolution:generator' })
  e.remove({ output: 'envirotech:ionite_void_miner_ccu' })
  e.remove({ output: 'envirotech:aethium_void_miner_ccu' })
  e.remove({ output: 'envirotech:nanorite_void_miner_ccu' })
  e.remove({ output: 'draconicevolution:draconium_core' })
  e.remove({ output: 'minecraft:end_crystal' })
  e.remove({ output: 'draconicevolution:wyvern_core' })
  e.remove({ output: 'draconicevolution:grinder' })
  e.remove({ output: 'draconicevolution:crafting_core' })
  e.remove({ output: 'draconicevolution:wyvern_crafting_injector' })
  e.remove({ output: 'draconicevolution:draconium_chest' })
  e.remove({ output: 'draconicevolution:awakened_core' })
  e.remove({ output: 'draconicevolution:awakened_draconium_block' })
  e.remove({ output: 'exnihilosequentia:end_cake' })
  e.remove({ output: 'draconicevolution:draconium_ingot' })
  e.remove({ output: 'draconicevolution:chaotic_core' })
  e.remove({ output: 'draconicevolution:wyvern_energy_core' })
  e.remove({ output: 'draconicevolution:draconic_energy_core' })
  e.remove({ output: 'draconicevolution:chaotic_energy_core' })
  e.remove({ output: 'draconicevolution:energy_core' })
  e.remove({ output: 'draconicevolution:energy_pylon' })
  e.remove({ output: 'draconicevolution:basic_relay_crystal' })
  e.remove({ output: 'draconicevolution:wyvern_relay_crystal' })
  e.remove({ output: 'draconicevolution:draconic_relay_crystal' })
  e.remove({ output: 'draconicevolution:energy_core_stabilizer' })
  e.remove({ output: 'draconicevolution:particle_generator' })
  e.remove({ output: 'draconicevolution:module_core' })
  e.remove({ output: 'draconicevolution:wyvern_capacitor' })
  e.remove({ output: 'draconicevolution:draconic_capacitor' })
  e.remove({ output: 'draconicevolution:chaotic_capacitor' })
  e.remove({ output: 'draconicevolution:wyvern_sword' })
  e.remove({ output: 'draconicevolution:wyvern_pickaxe' })
  e.remove({ output: 'draconicevolution:wyvern_shovel' })
  e.remove({ output: 'draconicevolution:wyvern_hoe' })
  e.remove({ output: 'draconicevolution:wyvern_axe' })
  e.remove({ output: 'draconicevolution:wyvern_bow' })
  e.remove({ output: 'draconicevolution:wyvern_chestpiece' })
  e.remove({ output: 'draconicevolution:draconic_sword' })
  e.remove({ output: 'draconicevolution:draconic_pickaxe' })
  e.remove({ output: 'draconicevolution:draconic_shovel' })
  e.remove({ output: 'draconicevolution:draconic_hoe' })
  e.remove({ output: 'draconicevolution:draconic_axe' })
  e.remove({ output: 'draconicevolution:draconic_bow' })
  e.remove({ output: 'draconicevolution:draconic_chestpiece' })
  e.remove({ output: 'draconicevolution:draconic_staff' })
  e.remove({ output: 'draconicevolution:chaotic_sword' })
  e.remove({ output: 'draconicevolution:chaotic_pickaxe' })
  e.remove({ output: 'draconicevolution:chaotic_shovel' })
  e.remove({ output: 'draconicevolution:chaotic_hoe' })
  e.remove({ output: 'draconicevolution:chaotic_axe' })
  e.remove({ output: 'draconicevolution:chaotic_bow' })
  e.remove({ output: 'draconicevolution:chaotic_chestpiece' })
  e.remove({ output: 'draconicevolution:chaotic_staff' })
  e.remove({ output: Item.of('draconicevolution:dislocator', '{Damage:0}') })
  e.remove({ output: 'draconicevolution:advanced_dislocator' })
  e.remove({ output: 'draconicevolution:advanced_dislocator' })
  e.remove({ output: 'draconicmachinery:draconic_solar_panel' })
  e.remove({ output: 'draconicmachinery:redstone_core' })
  e.remove({ output: 'draconicmachinery:sun_dial' })
  e.remove({ output: 'draconicmachinery:draconium_furnace' })
  e.remove({ output: 'draconicmachinery:item_reciever' })
  e.remove({ output: 'draconicmachinery:crafting_injector_item_router' })
  e.remove({ output: 'draconicevolution:reactor_prt_stab_frame' })
  e.remove({ output: 'draconicevolution:reactor_injector' })
  e.remove({ output: 'draconicevolution:reactor_stabilizer' })
  e.remove({ output: 'draconicevolution:reactor_core' })
  e.remove({ output: 'draconicevolution:awakened_crafting_injector' })
  e.remove({ output: 'draconicevolution:chaotic_crafting_injector' })
  e.remove({ output: 'draconicmachinery:chunk_loader' })
  e.remove({ output: 'draconicmachinery:anchor' })
  e.remove({ output: 'draconicmachinery:oxygen_pad' })
  e.remove({ output: 'draconicmachinery:oxygen_spreader' })
  e.remove({ output: 'draconicevolution:dislocator_pedestal' })
  e.remove({ output: 'draconicevolution:chaos_shard' })
  e.remove({ output: 'draconicevolution:large_chaos_frag' })
  e.remove({ output: 'draconicevolution:medium_chaos_frag' })





  e.shaped('2x draconicevolution:draconium_core', [
    '142',
    '535',
    '241'
  ], {
    1: 'minecraft:gold_block', 2: 'minecraft:diamond_block', 3: 'draconicevolution:draconium_block', 4: 'kubejs:sc', 5: 'kubejs:sc'
  })

  e.shaped('4x minecraft:end_crystal', [
    '212',
    '131',
    '212'
  ], {
    1: 'draconicevolution:mob_soul', 2: 'draconicevolution:wyvern_core', 3: 'extendedcrafting:nether_star_block'
  })

  e.shaped('draconicevolution:grinder', [
    '121',
    '343',
    '121'
  ], {
    1: 'draconicevolution:draconium_core', 2: 'draconicevolution:wyvern_core', 3: 'draconicevolution:wyvern_sword', 4: 'industrialforegoing:mob_slaughter_factory'
  })

  e.shaped('draconicevolution:crafting_core', [
    '121',
    '232',
    '121'
  ], {
    1: 'minecraft:lapis_block', 2: 'draconicevolution:wyvern_core', 3: 'extendedcrafting:ultimate_auto_table'
  })

  e.shaped('draconicevolution:info_tablet', [
    '222',
    '212',
    '222'
  ], {
    1: 'minecraft:book', 2: 'draconicevolution:draconium_dust'
  })

  e.shaped('draconicevolution:awakened_draconium_block', [
    '222',
    '222',
    '222'
  ], {
    2: 'draconicevolution:awakened_draconium_ingot'
  })

  e.shaped('draconicevolution:draconium_ingot', [
    '222',
    '222',
    '222'
  ], {
    2: 'draconicevolution:draconium_nugget'
  })

  e.shaped('draconicevolution:wyvern_energy_core', [
    '323',
    '212',
    '323'
  ], {
    1: 'draconicevolution:wyvern_core', 2: 'extendedcrafting:redstone_ingot_block', 3: 'draconicevolution:draconium_core'
  })
  e.shaped('draconicevolution:draconic_energy_core', [
    '323',
    '212',
    '323'
  ], {
    1: 'draconicevolution:awakened_core', 2: 'draconicevolution:wyvern_energy_core', 3: 'draconicevolution:awakened_draconium_ingot'
  })

  e.shaped('draconicevolution:chaotic_energy_core', [
    '323',
    '212',
    '323'
  ], {
    1: 'draconicevolution:chaotic_core', 2: 'draconicevolution:draconic_energy_core', 3: 'draconicevolution:medium_chaos_frag'
  })

  e.shaped('draconicevolution:energy_pylon', [
    '323',
    '313',
    '323'
  ], {
    1: 'draconicevolution:wyvern_wireless_crystal', 2: 'draconicevolution:energy_core_stabilizer', 3: 'draconicevolution:wyvern_energy_core'
  })

  e.shaped('draconicevolution:particle_generator', [
    '323',
    '212',
    '323'
  ], {
    1: 'extendedcrafting:nether_star_block', 2: 'extendedcrafting:elite_catalyst', 3: 'draconicevolution:draconium_core'
  })




  e.shaped('draconicevolution:wyvern_capacitor', [
    '323',
    '212',
    '323'
  ], {
    1: 'mekanism:advanced_induction_provider', 2: 'draconicevolution:wyvern_energy_core', 3: 'draconicevolution:wyvern_core'
  })

  e.shaped('draconicevolution:draconic_capacitor', [
    '323',
    '212',
    '323'
  ], {
    1: 'draconicevolution:wyvern_capacitor', 2: 'mekanism:elite_induction_provider', 3: 'draconicevolution:draconic_energy_core'
  })

  e.shaped('draconicevolution:chaotic_capacitor', [
    '323',
    '212',
    '323'
  ], {
    1: 'mekanism:ultimate_induction_provider', 2: 'draconicevolution:chaotic_energy_core', 3: 'draconicevolution:chaotic_core'
  })
  e.shaped(Item.of('draconicevolution:dislocator', '{Damage:0}'), [
    '323',
    '212',
    '323'
  ], {
    1: 'mekanism:teleportation_core', 2: 'evilcraft:blood_pearl_of_teleportation', 3: 'draconicevolution:wyvern_core'
  })

  e.shaped('draconicmachinery:redstone_core', [
    '323',
    '212',
    '323'
  ], {
    1: 'draconicevolution:draconium_core', 2: 'extendedcrafting:redstone_component', 3: 'mekanism:enriched_redstone'
  })

  e.shaped('draconicmachinery:draconic_solar_panel', [
    '333',
    '212',
    '111'
  ], {
    1: 'draconicevolution:wyvern_core', 2: 'draconicmachinery:redstone_core', 3: 'botania:bifrost_perm'
  })
  e.shaped('draconicmachinery:draconic_solar_panel', [
    '333',
    '212',
    '111'
  ], {
    1: 'draconicevolution:wyvern_core', 2: 'draconicmachinery:redstone_core', 3: 'botania:bifrost_perm'
  })
  e.shaped('draconicmachinery:draconium_furnace', [
    '313',
    '121',
    '313'
  ], {
    1: 'ironfurnaces:obsidian_furnace', 2: 'draconicevolution:draconium_core', 3: 'mekanism:upgrade_speed'
  })
  e.shaped('draconicevolution:reactor_prt_stab_frame', [
    '313',
    '121',
    '313'
  ], {
    1: 'draconicevolution:chaotic_energy_core', 2: 'kubejs:resonantmachineframe', 3: 'draconicmachinery:chaos_heart'
  })

  e.shaped('4x draconicevolution:large_chaos_frag', [
    '  ',
    ' 1',
    '  '
  ], {
    1:'draconicevolution:chaos_shard' 

    
  })
  e.shaped('4x draconicevolution:medium_chaos_frag', [
    '  ',
    ' 1',
    '  '
  ], {
    1:'draconicevolution:large_chaos_frag' 

    
  })

})